Bug 1267326 - libnm-gtk: fix a possible crash in functions handling password entry
Summary: libnm-gtk: fix a possible crash in functions handling password entry
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: network-manager-applet
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Jirka Klimes
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-29 16:16 UTC by Jirka Klimes
Modified: 2016-01-04 06:04 UTC (History)
6 users (show)

Fixed In Version: network-manager-applet-1.0.6-2.el7
Doc Type: Bug Fix
Doc Text:
nm-applet could crash when it asked for a password and the dialog box was cancelled. The crash has been fixed by this update.
Clone Of:
Environment:
Last Closed: 2015-11-19 11:04:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2315 normal SHIPPED_LIVE Moderate: NetworkManager security, bug fix, and enhancement update 2015-11-19 10:06:58 UTC

Description Jirka Klimes 2015-09-29 16:16:24 UTC
This would backport patch(es) fixing Fedora bug https://bugzilla.redhat.com/show_bug.cgi?id=1254043

(That request was in broader bug 1265207, however QA did not ACK that - too late for them).

Comment 1 Jirka Klimes 2015-09-29 16:20:24 UTC
Upstream commit:
nma-1-0: 6ee38dd libnm-gtk: fix a possible crash on widgets destroy (rh #1254043)

Comment 3 Tomas Pelka 2015-09-29 19:33:46 UTC
Vlad please review.

Comment 5 Matěj Cepl 2015-10-01 19:35:58 UTC
$ nmcli connection up MysiLiska

evokes the confirmation dialog in gnome-shell (is it the same dialog?) and after Cancel (or ESC) no crash happens and the action is cancelled.

Comment 6 errata-xmlrpc 2015-11-19 11:04:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2315.html


Note You need to log in before you can comment on or make changes to this bug.